diff --git a/src/include/common/unicode_norm_table.h b/src/include/common/unicode_norm_table.h
index 18ba5f6683..122231b4f8 100644
--- a/src/include/common/unicode_norm_table.h
+++ b/src/include/common/unicode_norm_table.h
@@ -2980,15 +2982,15 @@ static const pg_unicode_decomposition UnicodeDecompMain[6582] =
 	{0xA67B, 230, 0, 0},
 	{0xA67C, 230, 0, 0},
 	{0xA67D, 230, 0, 0},
-	{0xA69C, 0, 1 | DECOMP_INLINE, 0x044A},
-	{0xA69D, 0, 1 | DECOMP_INLINE, 0x044C},
+	{0xA69C, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x044A},
+	{0xA69D, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x044C},
 	{0xA69E, 230, 0, 0},
 	{0xA69F, 230, 0, 0},
 	{0xA6F0, 230, 0, 0},
 	{0xA6F1, 230, 0, 0},
-	{0xA770, 0, 1 | DECOMP_INLINE, 0xA76F},
-	{0xA7F8, 0, 1 | DECOMP_INLINE, 0x0126},
-	{0xA7F9, 0, 1 | DECOMP_INLINE, 0x0153},
+	{0xA770, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0xA76F},
+	{0xA7F8, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x0126},
+	{0xA7F9, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x0153},
 	{0xA806, 9, 0, 0},
 	{0xA8C4, 9, 0, 0},
 	{0xA8E0, 230, 0, 0},
@@ -3025,10 +3027,10 @@ static const pg_unicode_decomposition UnicodeDecompMain[6582] =
 	{0xAABF, 230, 0, 0},
 	{0xAAC1, 230, 0, 0},
 	{0xAAF6, 9, 0, 0},
-	{0xAB5C, 0, 1 | DECOMP_INLINE, 0xA727},
-	{0xAB5D, 0, 1 | DECOMP_INLINE, 0xAB37},
-	{0xAB5E, 0, 1 | DECOMP_INLINE, 0x026B},
-	{0xAB5F, 0, 1 | DECOMP_INLINE, 0xAB52},
+	{0xAB5C, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0xA727},
+	{0xAB5D, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0xAB37},
+	{0xAB5E, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x026B},
+	{0xAB5F, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0xAB52},
 	{0xABED, 9, 0, 0},
 	{0xF900, 0, 1 | DECOMP_INLINE, 0x8C48},
 	{0xF901, 0, 1 | DECOMP_INLINE, 0x66F4},
@@ -3490,31 +3492,31 @@ static const pg_unicode_decomposition UnicodeDecompMain[6582] =
 	{0xFAD7, 0, 1, 3533},
 	{0xFAD8, 0, 1 | DECOMP_INLINE, 0x9F43},
 	{0xFAD9, 0, 1 | DECOMP_INLINE, 0x9F8E},
-	{0xFB00, 0, 2 | DECOMP_NO_COMPOSE, 3534},	/* compatibility mapping */
-	{0xFB01, 0, 2 | DECOMP_NO_COMPOSE, 3536},	/* compatibility mapping */
-	{0xFB02, 0, 2 | DECOMP_NO_COMPOSE, 3538},	/* compatibility mapping */
-	{0xFB03, 0, 3, 3540},
-	{0xFB04, 0, 3, 3543},
-	{0xFB05, 0, 2 | DECOMP_NO_COMPOSE, 3546},	/* compatibility mapping */
-	{0xFB06, 0, 2 | DECOMP_NO_COMPOSE, 3548},	/* compatibility mapping */
-	{0xFB13, 0, 2 | DECOMP_NO_COMPOSE, 3550},	/* compatibility mapping */
-	{0xFB14, 0, 2 | DECOMP_NO_COMPOSE, 3552},	/* compatibility mapping */
-	{0xFB15, 0, 2 | DECOMP_NO_COMPOSE, 3554},	/* compatibility mapping */
-	{0xFB16, 0, 2 | DECOMP_NO_COMPOSE, 3556},	/* compatibility mapping */
-	{0xFB17, 0, 2 | DECOMP_NO_COMPOSE, 3558},	/* compatibility mapping */
+	{0xFB00, 0, 2 | DECOMP_COMPAT, 3534},
+	{0xFB01, 0, 2 | DECOMP_COMPAT, 3536},
+	{0xFB02, 0, 2 | DECOMP_COMPAT, 3538},
+	{0xFB03, 0, 3 | DECOMP_COMPAT, 3540},
+	{0xFB04, 0, 3 | DECOMP_COMPAT, 3543},
+	{0xFB05, 0, 2 | DECOMP_COMPAT, 3546},
+	{0xFB06, 0, 2 | DECOMP_COMPAT, 3548},
+	{0xFB13, 0, 2 | DECOMP_COMPAT, 3550},
+	{0xFB14, 0, 2 | DECOMP_COMPAT, 3552},
+	{0xFB15, 0, 2 | DECOMP_COMPAT, 3554},
+	{0xFB16, 0, 2 | DECOMP_COMPAT, 3556},
+	{0xFB17, 0, 2 | DECOMP_COMPAT, 3558},
 	{0xFB1D, 0, 2 | DECOMP_NO_COMPOSE, 3560},	/* in exclusion list */
 	{0xFB1E, 26, 0, 0},
 	{0xFB1F, 0, 2 | DECOMP_NO_COMPOSE, 3562},	/* in exclusion list */
-	{0xFB20, 0, 1 | DECOMP_INLINE, 0x05E2},
-	{0xFB21, 0, 1 | DECOMP_INLINE, 0x05D0},
-	{0xFB22, 0, 1 | DECOMP_INLINE, 0x05D3},
-	{0xFB23, 0, 1 | DECOMP_INLINE, 0x05D4},
-	{0xFB24, 0, 1 | DECOMP_INLINE, 0x05DB},
-	{0xFB25, 0, 1 | DECOMP_INLINE, 0x05DC},
-	{0xFB26, 0, 1 | DECOMP_INLINE, 0x05DD},
-	{0xFB27, 0, 1 | DECOMP_INLINE, 0x05E8},
-	{0xFB28, 0, 1 | DECOMP_INLINE, 0x05EA},
-	{0xFB29, 0, 1 | DECOMP_INLINE, 0x002B},
+	{0xFB20, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x05E2},
+	{0xFB21, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x05D0},
+	{0xFB22, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x05D3},
+	{0xFB23, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x05D4},
+	{0xFB24, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x05DB},
+	{0xFB25, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x05DC},
+	{0xFB26, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x05DD},
+	{0xFB27, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x05E8},
+	{0xFB28, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x05EA},
+	{0xFB29, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x002B},
 	{0xFB2A, 0, 2 | DECOMP_NO_COMPOSE, 3564},	/* in exclusion list */
 	{0xFB2B, 0, 2 | DECOMP_NO_COMPOSE, 3566},	/* in exclusion list */
 	{0xFB2C, 0, 2 | DECOMP_NO_COMPOSE, 3568},	/* in exclusion list */
